package com.srs.dormitory.mapper;

import java.util.List;

import com.github.yulichang.base.MPJBaseMapper;
import com.srs.dormitory.domain.DmsNeedCardStu;
import org.apache.ibatis.annotations.Mapper;

/**
 * 打卡设置Mapper接口
 *
 * @author srs
 * @date 2025-07-08
 */
@Mapper
public interface DmsNeedCardStuMapper extends MPJBaseMapper<DmsNeedCardStu> {

    public void callAutoSetDailyCheckTask();


    public List<DmsNeedCardStu> listView(DmsNeedCardStu params);

    /**
     * 查询打卡设置
     *
     * @param id 打卡设置主键
     * @return 打卡设置
     */
    public DmsNeedCardStu selectDmsNeedCardStuById(Long id);

    /**
     * 查询打卡设置列表
     *
     * @param dmsNeedCardStu 打卡设置
     * @return 打卡设置集合
     */
    List<DmsNeedCardStu> selectDmsNeedCardStuList(DmsNeedCardStu dmsNeedCardStu);

    /**
     * 新增打卡设置
     *
     * @param dmsNeedCardStu 打卡设置
     * @return 结果
     */
    int insertDmsNeedCardStu(DmsNeedCardStu dmsNeedCardStu);

    /**
     * 修改打卡设置
     *
     * @param dmsNeedCardStu 打卡设置
     * @return 结果
     */
    int updateDmsNeedCardStu(DmsNeedCardStu dmsNeedCardStu);

    /**
     * 删除打卡设置
     *
     * @param id 打卡设置主键
     * @return 结果
     */
    int deleteDmsNeedCardStuById(Long id);

    /**
     * 批量删除打卡设置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsNeedCardStuByIds(Long[] ids);
}
